summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2020-10-13 18:21:35 +0200
committerMarek Szuba <marecki@gentoo.org>2020-10-13 18:47:50 +0200
commitbc11115e4b3deafe18a165010a7065ccb12eb327 (patch)
treecd3b0737dd554862901b23cf34f0ea08f33f288d /games-engines
parentgames-engines/love: migrate slot 0 to lua-single.eclass (diff)
downloadgentoo-bc11115e4b3deafe18a165010a7065ccb12eb327.tar.gz
gentoo-bc11115e4b3deafe18a165010a7065ccb12eb327.tar.bz2
gentoo-bc11115e4b3deafe18a165010a7065ccb12eb327.zip
games-engines/love: sync the live ebuild with 11.3
Closes: https://bugs.gentoo.org/737904 Signed-off-by: Marek Szuba <marecki@gentoo.org>
Diffstat (limited to 'games-engines')
-rw-r--r--games-engines/love/love-9999.ebuild29
1 files changed, 14 insertions, 15 deletions
diff --git a/games-engines/love/love-9999.ebuild b/games-engines/love/love-9999.ebuild
index c4f181125e4..6265299294f 100644
--- a/games-engines/love/love-9999.ebuild
+++ b/games-engines/love/love-9999.ebuild
@@ -1,16 +1,15 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-inherit gnome2-utils xdg-utils
+EAPI=7
+
+inherit xdg-utils
if [[ ${PV} == 9999* ]]; then
- inherit mercurial
- EHG_REPO_URI="https://bitbucket.org/rude/${PN}"
- SRC_URI=""
- KEYWORDS=""
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/love2d/${PN}.git"
else
- SRC_URI="https://www.bitbucket.org/rude/${PN}/downloads/${P}-linux-src.tar.gz"
+ SRC_URI="https://github.com/love2d/${PN}/releases/download/${PV}/${P}-linux-src.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
fi
@@ -22,7 +21,7 @@ SLOT="0"
IUSE="+luajit"
RDEPEND="sys-libs/zlib
- !luajit? ( dev-lang/lua:0[deprecated] )
+ !luajit? ( dev-lang/lua:0 )
luajit? ( dev-lang/luajit:2 )
media-libs/freetype
media-libs/libmodplug
@@ -52,23 +51,23 @@ src_install() {
default
find "${D}" -name '*.la' -delete || die
- if [ "$SLOT" != "0" ]
- then
+
+ if [[ ${SLOT} != 0 ]]; then
mv "${ED}/usr/bin/${PN}" "${ED}/usr/bin/${PN}-${SLOT}" || die
mv "${ED}"/usr/share/applications/love{,"-$SLOT"}.desktop || die
- sed -i "s|/usr/bin/love|/usr/bin/love-$SLOT|" "${ED}/usr/share/applications/love-$SLOT.desktop" || die
- rm "${ED}"/usr/{lib64/liblove.so,share/{mime/packages/love.xml,pixmaps/love.svg,icons/hicolor/scalable/mimetypes/application-x-love-game.svg,man/man1/love.1}} || die
+ sed -i -e "/^Name=/s/$/ ($SLOT)/" -e "s|/usr/bin/love|/usr/bin/love-$SLOT|" "${ED}/usr/share/applications/love-$SLOT.desktop" || die
+ rm -r "${ED}"/usr/{lib64/liblove.so,share/{mime/,pixmaps/,icons/,man/}} || die
fi
}
pkg_postinst() {
- gnome2_icon_cache_update
xdg_desktop_database_update
+ xdg_icon_cache_update
xdg_mimeinfo_database_update
}
pkg_postrm() {
- gnome2_icon_cache_update
xdg_desktop_database_update
+ xdg_icon_cache_update
xdg_mimeinfo_database_update
}